#!/bin/sh
### BEGIN INIT INFO
# Provides:          bootup_display
# Required-Start:    networking mountkernfs $local_fs
# Required-Stop:
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Bootup display
# Description:       Bootup display
### END INIT INFO
# Do not run this script manually after reboot.

NAME=bootup_display
DESC="Bootup Display"
G="/usr/local/bin/gpio"
IP=$(hostname -I)

if [ -z $IP ]; then
   IP="IP: unknown"
fi

# Set GPIO Modes
$G mode 1 OUT
$G mode 4 OUT
$G mode 7 OUT

case "$1" in
  start|forth)
        echo -n "Starting $DESC: "
        lcdcolor green
        killall -9 rsync &> /dev/null
        rm -rf /home/orange/backup.* &> /dev/null
        lcd "OrangeBox Ready!" $IP &> /dev/null &
        echo "$NAME."
        ;;
  stop|back)
        echo -n "Stopping $DESC: "
        lcdcolor green
        killall -9 rsync &> /dev/null
        rm -rf /home/orange/backup.* &> /dev/null
        lcd "OrangeBox is" "shutting down..." &> /dev/null &
        echo "$NAME."
        ;;
  *)
        echo "Usage: $0 {start|stop}"
        exit 1
        ;;
esac

exit 0