#include <wiringPi.h>
#include <lcd128x64.h>
#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <unistd.h>

/*
gcc -lwiringPi -lwiringPiDev -o lcd lcd-prod.c
*/

//USE WIRINGPI PIN NUMBERS
#define LCD_E   15              //Enable Pin
#define LCD_RS  16              //Register select pin

#define LCD_D4  5               //Data pin 4
#define LCD_D5  6               //Data pin 5
#define LCD_D6  10              //Data pin 6
#define LCD_D7  11              //Data pin 7


int main(int argc, char *argv[])
{
  int i;
  char line1[20], line2[20];

  strcpy(line1, argv[1]);
  strcpy(line2, argv[2]);

  if(argc!=3)
    {
            printf("Usage: ./lcd <line1> <line2>\n");
            return 1;
    }

  if(strlen(line1) > 20 || strlen(line2) > 20)
  {
            printf("Wrong length: <line1> <line2> => MAX 20 char\n");
            return 1;
  }


    int lcd;
    wiringPiSetup();
    lcd = lcdInit (2, 20, 4, LCD_RS, LCD_E, LCD_D4, LCD_D5, LCD_D6, LCD_D7, 0, 0, 0, 0);

    lcdPosition(lcd, 0, 0);
    lcdPuts(lcd, line1);
    lcdPosition(lcd, 0, 1);
    lcdPuts(lcd, line2);

    return 1;
}